/* 公用JS函数库  PubJSLibrary */

/*用于临时数据存储页面的地址。
项目中如果要调用本JS，必须在在项目中新建一个页面，在该页面的 Page_Load 方法中调用 aut.ClientLibrary.tempData 中的 SetAndGetForJSinIt() 方法
*/
var ExchangeDataPageUrl = "https://www.anweishi.com/Command/ExchangeData.aspx";
/* 数据行鼠标移上去时的颜色变化 */
function rowColorChange() {
    $(".trData").mouseover(function() {
        $(this).attr('class', 'over');
    });
    $(".trData").mouseout(function() {
        $(this).attr('class', 'out');
    });
}

/************************************************************************************************
打开弹出窗口(居中)
url：要打开的页面的url地址
width：窗口宽度
height:窗口高度
************************************************************************************************/
function windOpen(url, width, height) {
    var myDate = new Date();
    var time = myDate.getTime();
    var pytop = 80;
    var pyleft = 30;
    var top = 0;
    var left = 0;
    if (url.indexOf("?") > 0)
        url = url + "&cachtt=" + time
    else
        url = url + "?cachtt=" + time
    //top = (window.screen.height - height - 30 - 30) / 2;
    top = (window.screen.height - parseInt(height) - pytop) / 2;
    left = (window.screen.width - parseInt(width) - pyleft) / 2;
    //alert("top=" + top + "  left=" + left);
    window.open(url, "", "scrollbars=yes,resizable=yes,width=" + width + ",height=" + height + ",top=" + top + ",left=" + left);
}

/************************************************************************************************
js获取地址栏传值
name：为参数名称
************************************************************************************************/
String.prototype.getQuery = function(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var r = this.substr(this.lastIndexOf("\?") + 1).match(reg);
    if (r != null) return unescape(r[2]);
    return null;
}


//全选,listID为控制全选的范围,即列表ID,需要引用jquery
function QX(listID) {

    $("#" + listID).find("input[type=\"checkbox\"]").each(function(i, j) {
        j.checked = true;
    })

}

//全选,listID为控制全选的范围,即列表ID,art为拥有art自定义属性的值,需要引用jquery
function QX_art(listID, art) {
    $("#" + listID).find("input[type=\"checkbox\"][art=\"" + art + "\"]").each(function(i, j) {
        j.checked = true;
    })

}

//反选,listID为控制全选的范围,即列表ID,需要引用jquery
function FX(listID) {
    $("#" + listID).find("input[type=\"checkbox\"]").each(function(i, j) {
        if (j.checked) {
            j.checked = false;
        }
        else {
            j.checked = true;
        }
    })
}
//反选,listID为控制全选的范围,即列表ID,art为拥有art自定义属性的值,需要引用jquery
function FX_art(listID, art) {
    $("#" + listID).find("input[type=\"checkbox\"][art=\"" + art + "\"]").each(function(i, j) {
        if (j.checked) {
            j.checked = false;
        }
        else {
            j.checked = true;
        }
    })
}

//全不选,listID为控制全选的范围,即列表ID,需要引用jquery
function QBX(listID) {
    $("#" + listID).find("input[type=\"checkbox\"]").each(function(i, j) {
        j.checked = false;
    })
}

//获取选中的值,listID为控制全选的范围,即列表ID,需要引用jquery
function getSelectValues(listID) {
    var ret = "";
    $("#" + listID).find("input[type=\"checkbox\"]").each(function(i, j) {
        if (j.checked) {
            if (ret != "") ret += ",";
            ret += j.value;
        }
    })
    return ret;
}

//点击父页面刷新按钮
function clickRefresh() {
    window.opener.document.getElementById('btnRefresh').click();
}

//移动
function moveTo_List(fromListID, toListID) {
    var fromList = document.getElementById(fromListID); //移出
    var toList = document.getElementById(toListID); //移入
    moveSelectOneData_List(fromList, toList);
}

//将列表选种的一项移到另一个列表 fromList：源列表对象，toList：目地列表对象
function moveSelectOneData_List(fromList, toList) {

    var ifhave = false;
    for (var i = fromList.length - 1; i >= 0; i--) {
        if (fromList.options[i].selected) {
            ifhave = false;
            for (var w = 0; w < toList.options.length; w++) {
                if (fromList.options[i].value == toList.options[w].value) {
                    ifhave = true;
                    break;
                }
            }
            if (!ifhave) {
                toList.options.length++;
                toList.options[toList.options.length - 1].value = fromList.options[i].value;
                toList.options[toList.options.length - 1].text = fromList.options[i].text;
            }

            for (var j = i; j < fromList.options.length - 1; j++) {
                fromList.options[j].value = fromList.options[j + 1].value;
                fromList.options[j].text = fromList.options[j + 1].text;
                //fromList.options[j].selected = false;
            }
            fromList.length--;
        }
    }
}


/************************************************************************************************
对多个数据进行操作(页面上要有用于存数据的隐含域，其ID分别为：HFvalue,HFcommand；还有一个有于触发事件的btncomand按钮,列表中为checkbox的选择)
whatDo：要操作的指令
listID：要操作的数据的列表ID
************************************************************************************************/
function OPDataForMore(whatDo, listID) {
    var tempData = getSelectValues(listID);
    if (tempData == "") {
        alert("请至少选择一个要操作的数据。");
        return;
    }
    document.getElementById("HFvalue").value = tempData;
    document.getElementById("HFcommand").value = whatDo;
    document.getElementById("btncomand").click();
}

/************************************************************************************************
对数据进行操作(页面上要有用于存数据的隐含域，其ID分别为：HFvalue,HFcommand；还有一个有于触发事件的btncomand按钮)
whatDo：要操作的指令
dataID：要操作的数据的ID
************************************************************************************************/
function OPData(whatDo, dataID) {
    document.getElementById("HFvalue").value = dataID;
    document.getElementById("HFcommand").value = whatDo;
    document.getElementById("btncomand").click();
}


/************************************************************************************************
判断是否正确的日期格式。正确：true、错误：false
objID：对象ID
len：日期长度。6、8
msg：如果有错误，错误的提示信息。传入空不提示
emptyMsg：如果对象值为空时的提示信息。传入空时说明对象值可以为空。
************************************************************************************************/
function isDateForObj(objID, len, errMsg, emptyMsg) {
    var ret = false;
    var obj = document.getElementById(objID);
    var str = obj.value;
    if (str == "") {
        if (emptyMsg != "") {
            alert(emptyMsg);
            return false;
        } else
        { return true; }
    }

    if (len == 6) ret = isDate6(str, errMsg);
    if (len == 8) ret = isDate8(str, errMsg);
    return ret;
}


/************************************************************************************************
判断是否正确的6位日期格式yyyyMMdd。正确：true、错误：false
str：要验证的字符串
msg：如果有错误，错误的提示信息。为空不提示
************************************************************************************************/
function isDate6(str, msg) {
    var ret = false;
    if (/^(?:19[7-9]\d|2\d{3,3})(?:0[1-9]|1[0-2])$/.test(str)) {
        ret = true;
    } else {
        ret = false;
        if (msg != "") alert(msg);
    }
    return ret;
}

/************************************************************************************************
判断是否正确的8位日期格式yyyyMMdd。正确：true、错误：false
str：要验证的字符串
msg：如果有错误，错误的提示信息。为空不提示
************************************************************************************************/
function isDate8(str, msg) {
    var ret = false;
    if (/^((((1[6-9]|[2-9]\d)\d{2})(0?[13578]|1[02])(0?[1-9]|[12]\d|3[01]))|(((1[6-9]|[2-9]\d)\d{2})(0?[13456789]|1[012])(0?[1-9]|[12]\d|30))|(((1[6-9]|[2-9]\d)\d{2})0?2(0?[1-9]|1\d|2[0-8]))|(((1[6-9]|[2-9]\d)(0[48]|[2468][048]|[13579][26])|((16|[2468][048]|[3579][26])00))0?229))$/.test(str)) {
        ret = true;
    } else {
        ret = false;
        if (msg != "") alert(msg);
    }
    return ret;
}

/*图片上传
form_id：图片上传表单域的ID
file_name：图片上传控件name
fileType：图片存的目录
img_id：图片显示对象ID，上传成功后将会为该对象的src属性设值，空忽略
txtName：用于存储上传后文件的文件名的对象ID，空忽略
ifDo：上传成功后是否要执行js函数
*/
function ajaxImgUpload(form_id, file_name, fileType, img_id, txtName, ifDo) {

    $("#" + form_id).ajaxSubmit({
        url: "/Public/dataService/upFile.ashx?action=uploadImg&file_name=" + file_name + "&fileType=" + fileType,
        type: "post",
        dataType: "text",
        resetForm: "true",
        beforeSubmit: function() {

        },
        success: function(data) {

            data = JSON.parse(data);
            if (data[0].error == 0) {

                if (img_id != "")
                    $(window.parent.$("#" + img_id).attr("src", data[0].url));

                if (txtName != "")
                    $(window.parent.$("#" + txtName).val(data[0].fileName));

                if (ifDo)
                    $(window.parent.upImgSuccess());

            } else {
                alert(data[0].msg);
            }
        },
        error: function(errorMsg, errorThrown) {

            alert("错误信息:" + errorMsg);
        }
    });

    return false;
}

/*附件上传
form_id：文件上传表单域的ID
file_name：文件上传控件name
annex_id：用于存储上传后文件的文件ID，空忽略
ifDo：上传成功后是否要执行js函数
*/
function ajaxFileUpload(form_id, file_name, annex_id, ifDo) {

    $("#" + form_id).ajaxSubmit({
        url: "/Public/dataService/upFile.ashx?action=uploadFile&file_name=" + file_name,
        type: "post",
        dataType: "text",
        resetForm: "true",
        beforeSubmit: function() {

        },
        success: function(data) {
            data = JSON.parse(data);
            if (data[0].error == 0) {
                if (annex_id != "") {
                    $(window.parent.$("#" + annex_id).val(data[0].AnnexID));
                }

                if (ifDo)
                    $(window.parent.upFileSuccess());

            } else {
                alert(data[0].msg);
            }
        },
        error: function(errorMsg, errorThrown) {

            alert("错误信息:" + errorMsg);
        }
    });
    return false;
}

/*
弹出对话框
type：显示提示框类型；0表示是否确定提示，1表示成功提示，2表示错误提示
msg：显示的消息
title：对话框显示的标题
Btnfun：如　del(5,'ok')。如果为空则执行关闭层的函数
*/
function showDialog(type, msg, title, Btnfun) {
    if (title == "")
        title = "温馨提示";

    if (type == 0) {

        showConfirm(msg).then(function() {
            eval(Btnfun);
        }, function() {
        })
    }

    if (type == 1) {

        showSuccessTip(msg).then(function() {
            eval(Btnfun);
        })
    }

    if (type == 2) {
        showErrorTip(msg).then(function() {
            eval(Btnfun);
        })
    }
}

//显示所有错误信息
function showErrMsg(errMsg) {

    var jsonArr = eval(errMsg);
    for (var i = 0; i < jsonArr.length; i++) {

        var valueID = jsonArr[i].valueID;
        var ifOk = jsonArr[i].ifOk;
        var msg = jsonArr[i].msg;

        if (ifOk == "T") {
            $("#tb" + valueID).removeClass("fle");
            $("#div_" + valueID).css("display", "none");
            $("#err_" + valueID).html("");
        }
        else {
            $("#tb" + valueID).addClass("fle");
            $("#div_" + valueID).css("display", "block");
            $("#err_" + valueID).html(msg);
        }
    }
}

//检测是否为空
function checkIsNull(inputID, divID, errID, errMsg) {
    var checkValue = $("#" + inputID).val();
    if (checkValue == "") {
        $("#" + inputID).addClass("fle");
        $("#" + divID).css("display", "block");
        $("#" + errID).html(errMsg);
        return false;
    }
    else return true;
}

//检测是否为浮点
function checkIsFloat(inputID, divID, errID, errMsg) {
    var r = /^\d+(\.\d+)?$/;
    var checkValue = $("#" + inputID).val();
    if (!r.test(checkValue)) {
        $("#" + inputID).addClass("fle");
        $("#" + divID).css("display", "block");
        $("#" + errID).html(errMsg);
        return false;
    }
    else return true;
}

//检测是否为整形
function checkIsInt(inputID) {
    var r = /^(-|\+)?\d+$/;
    var checkValue = $("#" + inputID).val();
    if (!r.test(checkValue))
        return false;
    else return true;
}

//检测手机号格式是否正确
function checkIsPhone(inputID, divID, errID, errMsg) {
    var r = /\d{11}/;
    var checkValue = $("#" + inputID).val();
    if (!r.test(checkValue)) {
        $("#" + inputID).addClass("fle");
        $("#" + divID).css("display", "block");
        $("#" + errID).html(errMsg);
        return false;
    }
    else return true;
}

//检测电子邮件格式是否正确
function checkIsEmail(inputID, divID, errID, errMsg) {
    var r = /^(\w-*\.*)+@(\w-?)+(\.\w{2,})+$/;
    var checkValue = $("#" + inputID).val();
    if (!r.test(checkValue)) {
        $("#" + inputID).addClass("fle");
        $("#" + divID).css("display", "block");
        $("#" + errID).html(errMsg);
        return false;
    }
    else return true;
}

//页面跳转
function goUrl(url) {
    window.location = url;
    return false;
}

//打开新页面
function goOpenUrl(url) {
    window.open(url, '', '', '');
    return false;
}


//刷新页面
function RefThisPage() {
    window.location = window.location.href;
}

//提交数据post方式
function PostData(data, url) {
    var ran = Math.random();
    var xmlRequest;
    var result = "";

    if (typeof XMLHttpRequest != 'undefined') {
        xmlRequest = new XMLHttpRequest();
    } else {
        if (typeof ActiveXObject != 'undefined') {
            xmlRequest = new ActiveXObject('Microsoft.XMLHTTP');
        } else {
            alert("您的浏览器不支持 XMLHTTP！请用IE6.0以上版本！");
            return "eorr";
        }
    }

    if (url.indexOf("?") >= 0)
        url += "&ranttttt=" + ran;
    else
        url += "?ranttttt=" + ran;

    var senddate = data;

    senddate = replaceSubstring(senddate, "%2520", "%20");
    senddate = replaceSubstring(senddate, "+", "%2B");
    senddate = replaceSubstring(senddate, "%B7", "·");

    xmlRequest.open("POST", url, false);
    //xmlRequest.setRequestHeader("Content-Length", senddate.length);
    xmlRequest.setRequestHeader("CONTENT-TYPE", "application/x-www-form-urlencoded");
    xmlRequest.send(senddate);
    switch (xmlRequest.status) {
        case 404:
            //alert("验证页面找不到。" + xmlRequest.status);
            return "";
        case 200:
            break;
        default:
            //alert("发送请求时出现错误。" + xmlRequest.status);
            //alert(xmlRequest.responseText);
            return "";
    }
    result = xmlRequest.responseText;
    //alert(result);
    return result;
}

//提交数据get方式
function GetData(url) {
    var xmlRequest;
    var result = "";
    var ran = Math.random();
    if (typeof XMLHttpRequest != 'undefined') {
        xmlRequest = new XMLHttpRequest();
    } else {
        if (typeof ActiveXObject != 'undefined') {
            xmlRequest = new ActiveXObject('Microsoft.XMLHTTP');
        } else {
            alert("您的浏览器不支持 XMLHTTP！请用IE6.0以上版本！");
            return "eorr";
        }
    }

    if (url.indexOf("?") >= 0)
        url += "&ranttttt=" + ran;
    else
        url += "?ranttttt=" + ran;

    //var senddate = data;

    //senddate = replaceSubstring(senddate, "%2520", "%20");
    //senddate = replaceSubstring(senddate, "+", "%2B");
    //senddate = replaceSubstring(senddate, "%B7", "·");
    url = replaceSubstring(url, "+", "%2B");
    xmlRequest.open("GET", url, false);
    //xmlRequest.setRequestHeader("Content-Length", senddate.length);
    //xmlRequest.setRequestHeader("CONTENT-TYPE", "application/x-www-form-urlencoded");
    xmlRequest.send("");
    switch (xmlRequest.status) {
        case 404:
            //alert("验证页面找不到。" + xmlRequest.status);
            return "";
        case 200:
            break;
        default:
            //alert("发送请求时出现错误。" + xmlRequest.status);
            return "";
    }
    result = xmlRequest.responseText;
    //alert(result);
    return result;
}

//解析返回的字符串
function getParVal(str, fieldName) {
    var inputstr = str;
    var fieldNameStart = "<" + fieldName + ">";
    var fieldNameEnd = "</" + fieldName + ">";

    var tempStr = "";
    var startIndex = inputstr.indexOf(fieldNameStart);
    var endIndex = inputstr.indexOf(fieldNameEnd);

    if (startIndex >= 0) {
        tempStr = inputstr.substring(startIndex + fieldNameStart.length, endIndex);
    }
    if (tempStr == "&nbsp;") tempStr = "";
    return tempStr;
}

//解析返回的字符串
function parseRetStr(inputStr, fileName) {
    var inputstr = inputStr;
    var FileNameStr = fileName + "=";
    var BSStr = "!@#"
    var tempStr = "";
    var fileNameIndex = inputstr.indexOf(FileNameStr);
    if (fileNameIndex >= 0) {
        tempStr = inputstr.substring(fileNameIndex + FileNameStr.length);
        tempStr = tempStr.substring(0, tempStr.indexOf(BSStr));
    }
    if (tempStr == "&nbsp;") tempStr = "";
    //alert("tt");
    if (tempStr == null) {  //alert("null");
        //tempStr = "";
    }
    return tempStr;
}


function replaceSubstring(inputString, fromString, toString) {
    var tttemp = inputString;
    if (fromString == "") {
        return inputString;
    }
    if (toString.indexOf(fromString) == -1) {
        while (tttemp.indexOf(fromString) != -1) {
            var toTheLeft = tttemp.substring(0, tttemp.indexOf(fromString));
            var toTheRight = tttemp.substring(tttemp.indexOf(fromString) + fromString.length, tttemp.length);
            tttemp = toTheLeft + toString + toTheRight;
        }
    } else {
        var midStrings = new Array("~", "`", "_", "^", "#");
        var midStringLen = 1;
        var midString = "";
        while (midString == "") {
            for (var i = 0; i < midStrings.length; i++) {
                var tempMidString = "";
                for (var j = 0; j < midStringLen; j++) { tempMidString += midStrings; }
                if (fromString.indexOf(tempMidString) == -1) {
                    midString = tempMidString;
                    i = midStrings.length + 1;
                }
            }
        }
        while (tttemp.indexOf(fromString) != -1) {
            var toTheLeft = tttemp.substring(0, tttemp.indexOf(fromString));
            var toTheRight = tttemp.substring(tttemp.indexOf(fromString) + fromString.length, tttemp.length);
            tttemp = toTheLeft + midString + toTheRight;
        }
        while (tttemp.indexOf(midString) != -1) {
            var toTheLeft = tttemp.substring(0, tttemp.indexOf(midString));
            var toTheRight = tttemp.substring(tttemp.indexOf(midString) + midString.length, tttemp.length);
            tttemp = toTheLeft + toString + toTheRight;
        }
    }
    return tttemp;
}


function NotTimeout() {

    var datetime = Date.prototype.getTime;
    var url = "https://www.anweishi.com/Default.aspx?whatDo=NotTimeout";
    var senddate = "whatDo=post" + escape(datetime);
    PostData(senddate, url);
    setTimeout("NotTimeout()", 1000 * 180);
}
setTimeout("NotTimeout()", 1000 * 180);


//$(document).ready(function() {
//    $("#opbt br").replaceWith("");
//    //$("#opbt").html($("#opbt").html().replace("&nbsp;&nbsp;", ""));
//    //$("#opbt").html($("#opbt").html().replace("&nbsp;", ""));
//    $("a[disabled='disabled']").addClass("a_disabled");
//    //$("input[disabled='disabled'][type='submit']").addClass("input_disabled");
//    var isie = $.browser.msie;
//    $("input[disabled='disabled'][type='submit']").each(function(i, j) {
//        if ($(j).val() == "") {
//            if (!isie) $(j).val("1");
//            $(j).addClass("input_disabledEmpty");
//        } else {
//            $(j).addClass("input_disabled");
//        }
//    });
//});

var webUrl = "/UserManage"; //用户登录站点根地址
/******************************************************************************
修改用户个人信息
******************************************************************************/
function UserInfoEdit() {
    var ran = Math.random();
    var wz = "dialogWidth:825px; dialogHeight:450px; status:0;center:yes";
    var url = webUrl + "/UserInfoEdit.aspx?ran=" + ran;

    window.open(url, '', 'height=450px, width=825px');
    //showModalDialog(url, "Dialog", wz);
}

/******************************************************************************
修改用户密码
******************************************************************************/
function UserPwdEdit() {
    var ran = Math.random();
    var wz = "dialogWidth:825px; dialogHeight:450px; status:0;center:yes";
    var url = webUrl + "/UserPwdEdit.aspx?ran=" + ran;
    window.open(url, '', 'height=450px, width=825px');
    //showModalDialog(url, "Dialog", wz);
}




/************************************************************************************************
添加临时交换数据，返回DataKey
DataValue：要存入的数据
************************************************************************************************/
function SetExchangeData(DataValue) {
    var senddate = "";
    senddate = "DataValue=" + escape(DataValue) + "&whatDo=" + escape("SetExchangeData");
    var result = PostData(senddate, ExchangeDataPageUrl);
    //alert(result);
    return result;
}

/************************************************************************************************
添加临时交换数据，返回DataKey
DataValue：要存入的数据
DataKey：存储时用的DataKey
************************************************************************************************/
function SetExchangeDataWithKey(DataValue, DataKey) {
    var senddate = "";
    senddate = "DataValue=" + escape(DataValue) + "&DataKey=" + escape(DataKey) + "&whatDo=" + escape("SetExchangeDataWithKey");
    var result = PostData(senddate, ExchangeDataPageUrl);
    //alert(result);
    return result;
}


/************************************************************************************************
存获取临时交换数据
DataKey：数据键
************************************************************************************************/
function getExchangeData(DataKey) {
    var senddate = "";
    senddate = "DataKey=" + escape(DataKey) + "&whatDo=" + escape("getExchangeData");
    var result = PostData(senddate, ExchangeDataPageUrl);
    //alert(result);
    return result;
}